petsc-3.7.7 2017-09-25
Report Typos and Errors

# ISBuildTwoSided

Takes an IS that describes where we will go. Generates an IS that contains new numbers from remote or local on the IS.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBuildTwoSided(IS ito,IS toindx, IS *rows)

Collective on IS

Input Parameters

to -an IS describes where we will go. Negative target rank will be ignored
toindx -an IS describes what indices should send. NULL means sending natural numbering

### Output Parameter

rows -contains new numbers from remote or local

### See Also

MatPartitioningCreate(), ISPartitioningToNumbering(), ISPartitioningCount()

Level:advanced
Location:src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex64.c.html